Měření nebylo nalezeno

Moses SkodaVývojář1 min čtení

API při tomto problému vrací 404 Not Found. Hodnota type je https://lingo.dev/docs/api/errors/measurement-not-found. Společnou strukturu všech chyb najdete v části Chyby a stavové kódy.

V této organizaci nelze najít měření <id>. Buď neexistuje, patří jiné organizaci, nebo (při zpětném doplnění dat) nemá žádnou aktivní podmínku události. Zkontrolujte id podle seznamu měření této organizace a před zpětným doplněním dat aktivujte některou z podmínek daného měření.

Pole#

Kromě standardních položek type, status, title a detail obsahuje tělo odpovědi následující pole. Z nich se sestavuje text detail, takže klient může místo něj zobrazit vlastní text.

PoleTyp
idstring

Příklad#

json
{
  "detail": "Cannot find measurement <id> in this organization. It does not exist, belongs to another organization, or (for a backfill) has no enabled event condition. Check the id against this organization's measurements and enable one of its conditions before a backfill.",
  "id": "<id>",
  "type": "https://lingo.dev/docs/api/errors/measurement-not-found",
  "status": 404,
  "title": "Measurement not found"
}

Koncové body, které chybu vracejí#

  • DELETE /v2/organizations/{orgId}/measurements/{measurementId}
  • DELETE /v2/organizations/{orgId}/measurements/{measurementId}/conditions/{eventType}
  • GET /v2/organizations/{orgId}/measurements/{measurementId}
  • GET /v2/organizations/{orgId}/measurements/{measurementId}/event-counts
  • PATCH /v2/organizations/{orgId}/measurements/{measurementId}
  • POST /v2/organizations/{orgId}/measurements/{measurementId}/backfill
  • PUT /v2/organizations/{orgId}/measurements/{measurementId}/conditions/{eventType}
  • PUT /v2/organizations/{orgId}/measurements/{measurementId}/enabled
  • PUT /v2/organizations/{orgId}/measurements/{measurementId}/settings